/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
// Style preference for leading underscores.
// tslint:disable:strip-private-property-underscore
import { TopAppBarBase } from '@material/mwc-top-app-bar/mwc-top-app-bar-base';
import { passiveEventOptionsIfSupported } from '@material/mwc-top-app-bar/mwc-top-app-bar-base-base';
import MDCFixedTopAppBarFoundation from '@material/top-app-bar/fixed/foundation';
export class TopAppBarFixedBase extends TopAppBarBase {
    constructor() {
        super(...arguments);
        this.mdcFoundationClass = MDCFixedTopAppBarFoundation;
    }
    barClasses() {
        return Object.assign(Object.assign({}, super.barClasses()), { 'mdc-top-app-bar--fixed': true });
    }
    registerListeners() {
        this.scrollTarget.addEventListener('scroll', this.handleTargetScroll, passiveEventOptionsIfSupported);
    }
    unregisterListeners() {
        this.scrollTarget.removeEventListener('scroll', this.handleTargetScroll);
    }
}
//# sourceMappingURL=mwc-top-app-bar-fixed-base.js.map